Need help updating an old MediaWiki install before forced php upgrade

apps

#1

I have a website here on Dreamhost running a MediaWiki install which, in retrospect, I sincerely wish I’d turned on automatic upgrades for.

It is currently running MediaWiki 1.11 (installed back in early 2008) and now I am in trouble unless I can manage to get it updated before the end of the month when the domain is forced from php 5.2 to 5.3. I know 1.11 doesn’t work on php 5.2.

I just have no idea right now what is the best way to manage this upgrade without breaking something in the process beyond backing up everything first and praying for the best.

Is there anyone out there who could help? I confess I am not particularly programming-savvy and would absolutely pay for assistance in this matter. I have tried numerous other venues looking for help with this project and no one seems to have either the time or the knowledge to do so.